<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: TriLib.NodeData Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_tri_lib_1_1_node_data.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="class_tri_lib_1_1_node_data-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">TriLib.NodeData Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Internally represents a Unity UnityEngine.GameObject.  
 <a href="class_tri_lib_1_1_node_data.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ab4a924e30dd9e8ecd13584e2e1bc2c13"><td class="memItemLeft" align="right" valign="top"><a id="ab4a924e30dd9e8ecd13584e2e1bc2c13" name="ab4a924e30dd9e8ecd13584e2e1bc2c13"></a>
string&#160;</td><td class="memItemRight" valign="bottom"><b>Name</b></td></tr>
<tr class="separator:ab4a924e30dd9e8ecd13584e2e1bc2c13"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d9b3600afbcc68211baddaf9b0a5760"><td class="memItemLeft" align="right" valign="top"><a id="a1d9b3600afbcc68211baddaf9b0a5760" name="a1d9b3600afbcc68211baddaf9b0a5760"></a>
string&#160;</td><td class="memItemRight" valign="bottom"><b>Path</b></td></tr>
<tr class="separator:a1d9b3600afbcc68211baddaf9b0a5760"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0bcf9f1c1acd8f3a45f93d3824841d4a"><td class="memItemLeft" align="right" valign="top"><a id="a0bcf9f1c1acd8f3a45f93d3824841d4a" name="a0bcf9f1c1acd8f3a45f93d3824841d4a"></a>
Matrix4x4&#160;</td><td class="memItemRight" valign="bottom"><b>Matrix</b></td></tr>
<tr class="separator:a0bcf9f1c1acd8f3a45f93d3824841d4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43fb8b18a0b3dc1d886a3b6c22d544ca"><td class="memItemLeft" align="right" valign="top"><a id="a43fb8b18a0b3dc1d886a3b6c22d544ca" name="a43fb8b18a0b3dc1d886a3b6c22d544ca"></a>
uint[]&#160;</td><td class="memItemRight" valign="bottom"><b>Meshes</b></td></tr>
<tr class="separator:a43fb8b18a0b3dc1d886a3b6c22d544ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a25bd545faadfce1694d3a512bc8f4a6c"><td class="memItemLeft" align="right" valign="top"><a id="a25bd545faadfce1694d3a512bc8f4a6c" name="a25bd545faadfce1694d3a512bc8f4a6c"></a>
<a class="el" href="class_tri_lib_1_1_node_data.html">NodeData</a>&#160;</td><td class="memItemRight" valign="bottom"><b>Parent</b></td></tr>
<tr class="separator:a25bd545faadfce1694d3a512bc8f4a6c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12e292cc8768e8fa33cbac658cf080b8"><td class="memItemLeft" align="right" valign="top"><a id="a12e292cc8768e8fa33cbac658cf080b8" name="a12e292cc8768e8fa33cbac658cf080b8"></a>
<a class="el" href="class_tri_lib_1_1_node_data.html">NodeData</a>[]&#160;</td><td class="memItemRight" valign="bottom"><b>Children</b></td></tr>
<tr class="separator:a12e292cc8768e8fa33cbac658cf080b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9086ca33f2e73d056274b8be7a1a8fe1"><td class="memItemLeft" align="right" valign="top"><a id="a9086ca33f2e73d056274b8be7a1a8fe1" name="a9086ca33f2e73d056274b8be7a1a8fe1"></a>
GameObject&#160;</td><td class="memItemRight" valign="bottom"><b>GameObject</b></td></tr>
<tr class="separator:a9086ca33f2e73d056274b8be7a1a8fe1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04e0c4c4adca40168175f0716944a79f"><td class="memItemLeft" align="right" valign="top"><a id="a04e0c4c4adca40168175f0716944a79f" name="a04e0c4c4adca40168175f0716944a79f"></a>
<a class="el" href="class_tri_lib_1_1_assimp_metadata.html">AssimpMetadata</a>[]&#160;</td><td class="memItemRight" valign="bottom"><b>Metadata</b></td></tr>
<tr class="separator:a04e0c4c4adca40168175f0716944a79f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Internally represents a Unity UnityEngine.GameObject. </p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/TriLib/TriLib/Scripts/AssetLoader/InternalData/<a class="el" href="_node_data_8cs.html">NodeData.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespace_tri_lib.html">TriLib</a></li><li class="navelem"><a class="el" href="class_tri_lib_1_1_node_data.html">NodeData</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:24:23 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
